%global debug_package %{nil}

Name:           jadx
Version:        1.4.3
Release:        1%{?dist}
Summary:        Dex to Java decompiler

License:        Apache 2.0
URL:            https://github.com/skylot/jadx
Source0:        https://github.com/skylot/jadx/releases/download/v%{version}/jadx-%{version}.zip
Source1:	jadx-gui.desktop
Source2:	jadx-logo.png

Requires:       java-headless
BuildRequires:	desktop-file-utils
BuildRequires:	javapackages-filesystem

%description
Command line and GUI tools for produce Java source code from Android Dex and Apk files

%prep
%autosetup -c

%build

%install
sed -i -e "s|\$APP_HOME/lib|%{_javadir}/%{name}|g" bin/jadx{,-gui}
mkdir -p %{buildroot}/%{_bindir}
cp bin/jadx{,-gui} %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/applications
cp %{SOURCE1} %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}/%{_javadir}/%{name}
cp lib/* %{buildroot}/%{_javadir}/%{name}/

desktop-file-install				\
--add-category="Security"			\
--dir=%{buildroot}%{_datadir}/applications	\
%{SOURCE1}

%post
/usr/bin/update-desktop-database

%files
%{_bindir}/jadx
%{_bindir}/jadx-gui
%{_javadir}/%{name}
%{_datadir}/applications/jadx-gui.desktop
%{_datadir}/pixmaps/jadx-logo.png
%license LICENSE

%changelog
* Mon Mar 28 2022 Indra Kurniawan <ikurniawan@fedoraproject.org> - 1.3.4
- Update to latest version from upstream.

* Fri Dec 3 2021 Indra Kurniawan <ikurniawan@fedoraproject.org> - 1.3.0
- Update to latest version from upstream.

* Wed Apr 28 2021 Indra Kurniawan <ikurniawan@fedoraproject.org> - 1.2.0
- Update to latest version from upstream.

* Wed Sep 18 2019 Carlos Mogas da Silva <r3pek@r3pek.org> - 1.0.0
- Initial release
